Changeset 20093


Ignore:
Timestamp:
2009-07-29T10:08:10+12:00 (13 years ago)
Author:
kjdon
Message:

changed min java version to 1.5 for now. the release needs 1.5. can change it back to 1.4 later. also, add java home/bin to path after setting java_home. and changed a few output statements

File:
1 edited

Legend:

Unmodified
Added
Removed
  • greenstone3/trunk/gs3-setup.sh

    r20088 r20093  
    88
    99# java_min_version gets passed to search4j as the minimum java version
    10 java_min_version=1.4.0_00
     10java_min_version=1.5.0_00
    1111
    1212
     
    111111    export ANT_HOME
    112112    addtopath PATH "$ANT_HOME/bin"
    113     echo "  - Setup ant"
     113    echo "  - Setup Greenstone ant ($GSDL3SRCHOME/packages/ant)"
    114114  else
    115115    which ant &> /dev/null
     
    117117      echo "  - Greenstone 'Ant' package missing - falling back to system Ant"
    118118    else
    119       echo "  - NOTE: Greenstone 'Ant' package missing - please install Ant yourself"
     119      echo "  - ERROR: Greenstone 'Ant' package missing - please install Ant yourself"
    120120    fi
    121121    echo "    (Greenstone requires Ant 1.7.1 or greater)"
     
    131131      #bundled java exists, set up
    132132      export JAVA_HOME="$FOUNDJAVAHOME"
     133      addtopath PATH "$JAVA_HOME/bin"
    133134      echo "  - Exported JAVA_HOME to $FOUNDJAVAHOME"
    134135  else
    135       #no suitible java exists
    136       echo "  NOTE: Failed to locate java \($java_min_version or greater\)"
     136      #no suitable java exists
     137      echo "  ERROR: Failed to locate java \($java_min_version or greater\)"
    137138      bin/search4j &> /dev/null;
    138139      if [ "$?" == "0" ]; then echo "  \(It looks like you hava java but it's too old\)"; fi
Note: See TracChangeset for help on using the changeset viewer.